LibreOffice LibreOffice 4.2 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
salhelper::ReferenceObject Class Reference

`#include <refobj.hxx>`

Inheritance diagram for salhelper::ReferenceObject:

## Public Member Functions
| ReferenceObject () throw ()
| Construction. More...
virtual oslInterlockedCount | acquire () throw ()
| IReference. More...
virtual oslInterlockedCount | release () throw ()

## Static Public Member Functions
static void * | operator new (size_t n) throw ()
| Allocation. More...
static void | operator delete (void *p) throw ()
static void * | operator new (size_t, void *p) throw ()
static void | operator delete (void *, void *) throw ()

## Protected Member Functions
virtual | ~ReferenceObject () throw ()
| Destruction. More...
Protected Member Functions inherited from rtl::IReference
| ~IReference ()

## Constructor & Destructor Documentation

salhelper::ReferenceObject::ReferenceObject | ( |  | ) |
throw | ( |
| ) |  |
| inline

Construction.

virtual salhelper::ReferenceObject::~ReferenceObject | ( |  | ) |
throw | ( |
| ) |  |
| inline protected virtual

Destruction.

## Member Function Documentation

virtual oslInterlockedCount salhelper::ReferenceObject::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

IReference.

Implements rtl::IReference.

static void salhelper::ReferenceObject::operator delete | ( | void * | p | ) |
throw | ( |
| ) |  |
| inline static

static void salhelper::ReferenceObject::operator delete | ( | void * | ,
|  | void * |
| ) |  |
throw | ( |
| ) |  |
| inline static

static void* salhelper::ReferenceObject::operator new | ( | size_t | n | ) |
throw | ( |
| ) |  |
| inline static

Allocation.

static void* salhelper::ReferenceObject::operator new | ( | size_t | ,
|  | void * | p
| ) |  |
throw | ( |
| ) |  |
| inline static

virtual oslInterlockedCount salhelper::ReferenceObject::release | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

See Also
  osl_decrementInterlockedCount.

Implements rtl::IReference.

The documentation for this class was generated from the following file:

- salhelper/refobj.hxx